Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.ui
Class ContentTreeExpandListener

    java.lang.Object
      org.teleal.cling.support.contentdirectory.ui.ContentTreeExpandListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.TreeWillExpandListener

    public class ContentTreeExpandListener

extends java.lang.Object
implements javax.swing.event.TreeWillExpandListener

Field Summary
`protected ContentBrowseActionCallbackCreator` | `actionCreator`
`protected org.teleal.cling.controlpoint.ControlPoint` | `controlPoint`
`protected org.teleal.cling.model.meta.Service` | `service`
`protected javax.swing.tree.DefaultTreeModel` | `treeModel`

Constructor Summary
`ContentTreeExpandListener(org.teleal.cling.controlpoint.ControlPoint controlPoint, org.teleal.cling.model.meta.Service service, javax.swing.tree.DefaultTreeModel treeModel, ContentBrowseActionCallbackCreator actionCreator)`

Method Summary
`void` | `treeWillCollapse(javax.swing.event.TreeExpansionEvent e)`
`void` | `treeWillExpand(javax.swing.event.TreeExpansionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### controlPoint

    protected final org.teleal.cling.controlpoint.ControlPoint controlPoint

### service

    protected final org.teleal.cling.model.meta.Service service

### treeModel

    protected final javax.swing.tree.DefaultTreeModel treeModel

### actionCreator

    protected final ContentBrowseActionCallbackCreator actionCreator

Constructor Detail

### ContentTreeExpandListener

    public ContentTreeExpandListener(org.teleal.cling.controlpoint.ControlPoint controlPoint,
                                     org.teleal.cling.model.meta.Service service,
                                     javax.swing.tree.DefaultTreeModel treeModel,
                                     ContentBrowseActionCallbackCreator actionCreator)

Method Detail

### treeWillExpand

    public void treeWillExpand(javax.swing.event.TreeExpansionEvent e)
                        throws javax.swing.tree.ExpandVetoException

  Specified by:
    `treeWillExpand` in interface `javax.swing.event.TreeWillExpandListener`
  Throws:
    `javax.swing.tree.ExpandVetoException`

### treeWillCollapse

    public void treeWillCollapse(javax.swing.event.TreeExpansionEvent e)
                          throws javax.swing.tree.ExpandVetoException

  Specified by:
    `treeWillCollapse` in interface `javax.swing.event.TreeWillExpandListener`
  Throws:
    `javax.swing.tree.ExpandVetoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.